// gbt.go
package main

import (
	"os"
	"pool/internal/db"
	"pool/internal/gbt"
	"pool/internal/utility"
)

func start(coin string, DbCtx *db.DbContext) {

	gbt.Start(coin, DbCtx)

}

func stop(coin string) {

	gbt.Stop(coin)

}

func main() {
	coin := utility.GetCoin("gbt.conf")
	dbctx := db.InitDb(coin, "gbt")
	start(coin, dbctx)

	stop(coin)

	db.StopDb(coin, "gbt")

	os.Exit(0)
}
